DRM_DP_MST_GET_EDID(9)

NAME
drm_dp_mst_get_edid - get EDID for an MST port

SYNOPSIS

struct edid * drm_dp_mst_get_edid(struct drm_connector * connector, struct drm_dp_mst_topology_mgr * mgr, struct drm_dp_mst_port * port);

ARGUMENTS

connector
    toplevel connector to get EDID for

mgr
    manager for this port

port
    unverified pointer to a port.

DESCRIPTION

This returns an EDID for the port connected to a connector, It validates the pointer still exists so the caller doesn't require a reference.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT